## neon27 0.32.5

=== debian/changelog ===
neon27 (0.32.5-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 26 Jan 2023 17:38:19 +0100
