=== debian/control ===
Source: neon27
Section: net
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), pkgconf, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, libkrb5-dev, libz-dev, ca-certificates, chrpath, xmlto
Homepage: https://notroj.github.io/neon/
Standards-Version: 4.6.2

Package: libneon27
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HTTP and WebDAV client library
 neon is an HTTP and WebDAV client library, with a C language API.
 .
 WARNING: THE NEON API IS NOT YET STABLE.
 .
 Provides lower-level interfaces to directly implement new HTTP
 methods, and higher-level interfaces so that you don't have to
 worry about the lower-level stuff.
 .
 Current features:
   * High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD, etc.)
   * Low-level interface to HTTP request handling, to allow implementing
     new methods easily.
   * persistent connections
   * RFC2617 basic and digest authentication (including auth-int, md5-sess)
   * Proxy support (including basic/digest authentication)
   * SSL/TLS support using OpenSSL (including client certificate and thread
     safety support)
   * Generic WebDAV 207 XML response handling mechanism
   * XML parsing using the expat or libxml parsers
   * Easy generation of error messages from 207 error responses
   * WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
   * WebDAV metadata support: set and remove properties, query any set ofi
     properties (PROPPATCH/PROPFIND).
   * autoconf macros supplied for easily embedding neon directly inside an
     application source tree.

Package: libneon27-dev
Section: libdevel
Architecture: any
Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1), libneon25-dev (<< 0.28.2-5), libneon27-gnutls-dev
Provides: libneon-dev
Replaces: libneon-dev, libneon25-dev, libneon27-gnutls-dev
Depends: ${misc:Depends}, libneon27 (= ${binary:Version}), libssl-dev, libxml2-dev, libkrb5-dev, pkgconf
Description: Header and static library files for libneon27
 This package contains the headers and the static library for libneon27.
 .
 Neon provides lower-level interfaces to directly implement new HTTP
 methods, and higher-level interfaces so that you don't have to
 worry about the lower-level stuff.

Package: libneon27-gnutls
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates
Description: HTTP and WebDAV client library (GnuTLS enabled)
 neon is an HTTP and WebDAV client library, with a C language API.
 .
 WARNING: THE NEON API IS NOT YET STABLE.
 .
 Provides lower-level interfaces to directly implement new HTTP
 methods, and higher-level interfaces so that you don't have to
 worry about the lower-level stuff.
 .
 Current features:
   * High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD, etc.)
   * Low-level interface to HTTP request handling, to allow implementing
     new methods easily.
   * persistent connections
   * RFC2617 basic and digest authentication (including auth-int, md5-sess)
   * Proxy support (including basic/digest authentication)
   * SSL/TLS support using GnuTLS (including client certificate and thread
     safety support)
   * Generic WebDAV 207 XML response handling mechanism
   * XML parsing using the expat or libxml parsers
   * Easy generation of error messages from 207 error responses
   * WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
   * WebDAV metadata support: set and remove properties, query any set ofi
     properties (PROPPATCH/PROPFIND).
   * autoconf macros supplied for easily embedding neon directly inside an
     application source tree.

Package: libneon27-gnutls-dev
Section: libdevel
Architecture: any
Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1), libneon25-dev (<< 0.28.2-5), libneon27-dev
Provides: libneon-dev
Replaces: libneon-dev, libneon25-dev, libneon27-dev
Depends: ${misc:Depends}, libneon27-gnutls (= ${binary:Version}),
 libgnutls28-dev, libxml2-dev, libkrb5-dev, pkgconf
Description: Header and static library files for libneon27 (GnuTLS enabled)
 This package contains the headers and the static library for
 libneon27-gnutls.
 .
 Neon provides lower-level interfaces to directly implement new HTTP
 methods, and higher-level interfaces so that you don't have to
 worry about the lower-level stuff.
