## neon27 0.33.0

=== debian/changelog ===
neon27 (0.33.0-1.1build3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 19:56:22 +0100

neon27 (0.33.0-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:09:26 +0000

neon27 (0.33.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:07:19 +0000

neon27 (0.33.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064246

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:40:56 +0000

neon27 (0.33.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 Feb 2024 23:12:14 +0100

neon27 (0.32.5-2) unstable; urgency=medium

  * Backport fix for FTBFS on IPV6-only buildds (closes: #1029944).
  * Use no for Rules-Requires-Root.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 03 Oct 2023 23:27:50 +0200
