## neon27 0.34.0

=== debian/changelog ===
neon27 (0.34.0-1deepin1) unstable; urgency=medium

  * Revert t64.

 -- xiangzelong <xiangzelong@deepin.org>  Tue, 11 Mar 2025 15:24:53 +0800

neon27 (0.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Lintian overrides.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Nov 2024 07:36:23 +0100
