## neon27 0.34.2

=== debian/changelog ===
neon27 (0.34.2-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:07:01 +0200

neon27 (0.34.2-1) unstable; urgency=medium

  * New upstream release:
    - fix regression in 207 parsing of elements which omit a reason-phrase,
    - fix ne_move() to submit lock tokens for the parent collection of a
      source resource locked with depth: 0,
    - fix regression in NTLM auth in 0.34.0,
    - add docs for ne_ssl_proto_name(), ne_ssl_protovers() and
      ne_get_request_target() functions.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Apr 2025 16:44:36 +0200
