=== debian/control ===
--- 
+++ 
@@ -7,7 +7,10 @@
 Rules-Requires-Root: no
 Homepage: https://notroj.github.io/neon/
 
-Package: libneon27
+Package: libneon27t64
+Provides: ${t64:Provides}
+Replaces: libneon27
+Breaks: libneon27 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -46,15 +49,19 @@
 Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1), libneon25-dev (<< 0.28.2-5), libneon27-gnutls-dev
 Provides: libneon-dev
 Replaces: libneon-dev, libneon25-dev, libneon27-gnutls-dev
-Depends: ${misc:Depends}, libneon27 (= ${binary:Version}), libssl-dev, libxml2-dev, libkrb5-dev, pkgconf
-Description: Header and static library files for libneon27
+Depends: ${misc:Depends}, libneon27t64 (= ${binary:Version}), libssl-dev, libxml2-dev, libkrb5-dev, pkgconf
+Description: Header and static library files for libneon27t64
  This package contains the headers and the static library for libneon27.
  .
  Neon provides lower-level interfaces to directly implement new HTTP
  methods, and higher-level interfaces so that you don't have to
  worry about the lower-level stuff.
 
-Package: libneon27-gnutls
+Package: libneon27t64-gnutls
+Provides: ${t64:Provides}
+X-Time64-Compat: libneon27-gnutls
+Replaces: libneon27-gnutls
+Breaks: libneon27-gnutls (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -94,9 +101,9 @@
 Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1), libneon25-dev (<< 0.28.2-5), libneon27-dev
 Provides: libneon-dev
 Replaces: libneon-dev, libneon25-dev, libneon27-dev
-Depends: ${misc:Depends}, libneon27-gnutls (= ${binary:Version}),
+Depends: ${misc:Depends}, libneon27t64-gnutls (= ${binary:Version}),
  libgnutls28-dev, libxml2-dev, libkrb5-dev, pkgconf
-Description: Header and static library files for libneon27 (GnuTLS enabled)
+Description: Header and static library files for libneon27t64 (GnuTLS enabled)
  This package contains the headers and the static library for
  libneon27-gnutls.
  .
