## neon27 0.35.0

=== debian/changelog ===
neon27 (0.35.0-2) unstable; urgency=medium

  [ Chris Lamb <lamby@debian.org> ]
  * Make the build reproducible (closes: #1111420, #1111497).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 18 Aug 2025 20:07:37 +0200

neon27 (0.35.0-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 16 Aug 2025 07:31:16 +0200
