=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), pkgconf, libxml2-dev, libssl-dev (>= 0.9.8c), libgnutls28-dev, libkrb5-dev, libz-dev, ca-certificates, chrpath, xmlto
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://notroj.github.io/neon/
