=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-package=libneon27
+package=libneon27t64
 dev_package=libneon27
 upstream-version=$(shell head -n 1 debian/changelog | sed -e 's/.*(\(\([0-9]\+:\)\?\([^-]\+\).*\).*).*/\3/' )
 
@@ -144,7 +144,7 @@
 #	dh_installdocs -p$(package)-gnutls-dev macros/changelog.m4
 
 	dh_installchangelogs
-	dh_installdocs -a AUTHORS BUGS NEWS THANKS TODO
+	dh_installdocs -a AUTHORS NEWS THANKS TODO
 	dh_makeshlibs -p$(package) -V'$(package)'
 	dh_makeshlibs -p$(package)-gnutls -V'$(package)-gnutls'
 	dh_link
