## neon27 0.36.0

=== debian/changelog ===
neon27 (0.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove now redundant Rules-Requires-Root value.
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 28 Nov 2025 20:33:21 +0100
